#include "device.hh"
#include "device_status.hh"
#include "device_manager.hh"
#include <iostream>

DeviceStatus::DeviceStatus (QWidget* parent, DeviceManager* manager)
  : QVBox (parent)
{
  m_manager = manager;
}

void DeviceStatus::AppendDevice (Device* dev)
{
  QWidget* new_widget = dev -> CreateStatus (this);
  widgets.push_back (new_widget);
}


void DeviceStatus::StatesChanged ()
{
  std::vector <Device*>& devices = m_manager -> devices;
  for (unsigned int i = 0; i < devices.size(); i++) {
    QWidget* widget = 0;
    if (i < widgets.size ())
      widget = widgets[i];
    else
      std::cerr << "too few items in device status vector !" << std::endl;

    if (widget) {
      if (devices[i] -> isVisible ()) {
	widget -> show();
	widget -> update ();
      } else
	widget -> hide();
    }
  }
  
  update ();
}
