#include <qbuttongroup.h>
#include <vector>

class ProfileManager;
class QComboBox;
class KRestrictedLine;

namespace network_config {
  class PPPSubsection;
}

class PPPAnalogTab : public QButtonGroup
{
  Q_OBJECT
public:
  PPPAnalogTab (QWidget* parent, ProfileManager* manager);

  void NewConfig (network_config::PPPSubsection* subsection);
  
private slots:
  void SerialListChanged (); // connected to profile manager
  void InterfaceSelected (int id);
  void DialingSelected (int id);
  void NumberEntered (const QString& new_number);

private:
  void SetInterface (unsigned int id);
  void SetDial ();

  QComboBox* dev;
  QComboBox* dial_type;
  KRestrictedLine* dial;

  QString number;
  bool frequency_dial;
  
  ProfileManager* m_manager;
  network_config::PPPSubsection* config;
};
